Bug 738016 - fcitx not built with $RPM_OPT_FLAGS
fcitx not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fcitx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Liang Suilong
Fedora Extras Quality Assurance
: Patch, Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2011-09-13 12:03 EDT by Ville Skyttä
Modified: 2012-05-06 00:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: fcitx-4.2.2-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-05 21:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Build with %cmake macro (2.02 KB, patch)
2011-09-13 12:03 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2011-09-13 12:03:47 EDT
Created attachment 522957 [details]
Build with %cmake macro

fcitx 4.1.1-2 is not built with $RPM_OPT_FLAGS, 4.0.1 did not have this problem.  Simply using the %cmake macro fixes this and other problems, see attached patch.
Comment 1 Ville Skyttä 2012-04-25 16:51:17 EDT
Ping?  4.2.2-1 seems to have the same problem.
Comment 2 Fedora Update System 2012-04-27 01:14:52 EDT
fcitx-4.2.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-4.2.2-2.fc16
Comment 3 Fedora Update System 2012-04-27 01:15:28 EDT
fcitx-4.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-4.2.2-2.fc17
Comment 4 Fedora Update System 2012-04-27 01:15:52 EDT
fcitx-4.2.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fcitx-4.2.2-2.fc15
Comment 5 Fedora Update System 2012-04-27 11:46:13 EDT
Package fcitx-4.2.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fcitx-4.2.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6822/fcitx-4.2.2-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-05-05 21:28:23 EDT
fcitx-4.2.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-05-05 21:31:09 EDT
fcitx-4.2.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-06 00:54:00 EDT
fcitx-4.2.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.